
QGIS Application - Bug report #18011

JPG images by Gimp progressive mode do not load in QGIS 2.14 and 2.18

2018-01-31 10:45 AM - Jessica Traffico

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 25907

Description

JPG image files with width of 600 pixel or more and exported from Gimp 2.8.16 and 2.8.22 with setting „progressive“ enabled do not load

in QGIS 2.14.16 and 2.18.7 using an ui-file (made by Qt 4.8). The same jpg files load in QGIS 2.8.9 with the same ui-file. All jpg image

files with width of 400 pixel or less load in all QGIS versions. The progressive mode is the standard setting of Gimp for exporting to jpg

format. Gimp users that are not familiar with Gimp settings use the progressive mode by default. Original jpg files from camera load in all

QGIS versions. Gimp.org explains „Progressive: With this option enabled, the image chunks are stored in the file in an order that allows

progressive image refinement during a slow connection web download. The progressive option for JPG has the same purpose as the

interlace option for GIF. Unfortunately, the progressive option produces slightly larger JPG files (than without the progressive option).“

Purpose of this bug report: Enable the full QGIS 2.8.9 jpg-viewing feature again in QGIS 2.14 or 2.18 or the next long-term release of

QGIS.

History

#1 - 2018-02-22 07:44 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-06-02 05:31 PM - Even Rouault

- Status changed from Open to Feedback

I can't reproduce with QGIS 2.18.20 with GDAL 2.2.4 on Windows 7.

In any case this would not be a QGIS issue, but a GDAL / libjpeg one.

Can you retry by upgrading your version ?

#3 - 2018-08-16 11:06 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

Gimp2816_400-pixel_Export-quality-100_progressive.jpg 273 KB 2018-01-31 Jessica Traffico

Gimp2816_600-pixel_Export-quality-100_progressive.jpg 615 KB 2018-01-31 Jessica Traffico

Gimp2822_1000-pixel_Export-quality-100_not-progressive.jpg 1.55 MB 2018-01-31 Jessica Traffico

Gimp2822_1000-pixel_Export-quality-100_progressive.jpg 1.6 MB 2018-01-31 Jessica Traffico
